### Method

# Ide Task run_in_thread

#### Declaration

    void
    ide_task_run_in_thread (
      IdeTask* self,
      IdeTaskThreadFunc thread_func
    )

#### Description

Scheules `thread_func` to be executed on a worker thread.

`thread_func` must complete the task from the worker thread using one of ide_task_return_boolean(), ide_task_return_int(), or ide_task_return_pointer().

Available since: | 3.32
This method is not directly available to language bindings.

#### Parameters

`thread_func` | `IdeTaskThreadFunc`
| A function to execute on a worker thread.